<?php

namespace Modules\St\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\St\Entities\GroupLevel1;
use Modules\St\Entities\GroupLevel2;
use Modules\St\Entities\GroupLevel3;
use Modules\St\Entities\Uom;
use Modules\St\Entities\ProductType;


class ProductSettingController extends Controller
{
    // Group Level 1 Saving part 
    function Save1(Request $request) {
        try{ $GroupLevel1 = new GroupLevel1();
            $GroupLevel1->group_level_1 = $request->grplevel1name;
            $res = $GroupLevel1->save();
            $responseBody = $this->responseBody(true, "GroupLevel1", "Saved", $res);
        }catch(\Exception $exception) {
            $responseBody = $this->responseBody(false, "GroupLevel1", "Error", $exception);
        }          
        return $responseBody;
    }

    // Group Level 2 Saving part  
    function Save2(Request $request){
        try{ $GroupLevel2 = new GroupLevel2();
             $GroupLevel2->grp_lvl_1_for_id = $request->grpLevel1DropDown;
             $GroupLevel2->group_level_2 = $request->grplevel2name;
             $res = $GroupLevel2->save();
             $responseBody = $this->responseBody(true, "GroupLevel2", "Saved", $res);
        } catch(\Exception $exception){
             $responseBody = $this->responseBody(false, "GroupLevel2", "Error", $exception);
        }
        return $responseBody;
    }  

    // Group Level 3 Saving part 
    function Save3(Request $request){
        try{ $GroupLevel3 = new GroupLevel3();
            $GroupLevel3->grp_lvl_1_for_id = $request->grpLevel1DropDown_grp3Modal;
            $GroupLevel3->grp_lvl_2_for_id = $request->grpLevel2DropDown;
            $GroupLevel3->group_level_3 = $request->grplevel3name;
            $res = $GroupLevel3->save();
            $responseBody = $this->responseBody(true, "GroupLevel3", "Saved", $res);
        } catch(\Exception $exception) {
            $responseBody = $this->responseBody(true, "GroupLevel3", "Saved", $res);
        }
        return $responseBody;
    }

    // Product Type Saving Part
    function SaveProType(Request $request) {
        try{ $ProductType = new ProductType();
                 $ProductType->product_type = $request->productTypeName;
                 $res = $ProductType->save();
                 $responseBody = $this->responseBody(true, "ProductType", "Saved", $res);
        } catch(Exception $exception) {
                 $responseBody = $this->responseBody(false, "ProductType", "Error", $exception);
        }
        return $responseBody;
    }

    // UOM Saving Part 
    function SaveUnitOfMesurements(Request $request){
        try { $Uom = new Uom();
                $Uom->uom = $request->uomName;
                $res = $Uom->save();
                $responseBody = $this->responseBody(true, "UOM", "Saved", $res);
        } catch(Exception $exception) {
             $responseBody = $this->responseBody(false, "UOM", "Error", $exception);
        }
        return $responseBody;
    }

    // Read Level 1 Data table 
    function GetGroupLevel1(){
        try{ $dataId1 = GroupLevel1::all();
              $responseBody = $this->responseBody(true, "GroupLevel1", "Found", $dataId1);
        } catch(\Exception $exception) {
              $responseBody = $this->responseBody(false, "GroupLevel1", "Error", $exception);
        }    
         return response()->json($responseBody);
    }

    // Read Level 2 Data Table 
    function GetGroupLevel2(){
        try{ $dataId2 = GroupLevel2::all();
               $responseBody = $this->responseBody(true, "GroupLevel2", "Found", $dataId2); 
        } catch(\Exception $exception) {
               $responseBody = $this->responseBody(false, "GroupLevel3", "Error", $exception);
        }    
        return response()->json($responseBody);
    }

    // Read Level 3 Data Table 
    function GetGroupLevel3() {
        try{ $dataId3 = GroupLevel3::all();
                $responseBody = $this->responseBody(true, "GroupLevel3", "Found", $dataId3); 
        } catch(\Exception $exception) {
                $responseBody = $this->responseBody(false, "GroupLevel3", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Read Product Type Table 
    function GetDataProductType() {
        try{ $dataProductType = ProductType::all();
            $responseBody = $this->responseBody(true, "ProductType", "Found", $dataProductType);
        }catch(\Exception $exception) {
            $responseBody = $this->responseBody(false, "ProductType", "Error", $exception);   
        } 
        return response()->json($responseBody);
    }

    // Read UOM data table 
    function GetUOM(){
        try{ $res =  Uom::all();
            $responseBody = $this->responseBody(true, "UOM", "Found", $res);
        } catch(\Exception $exception) {
            $responseBody = $this->responseBody(false, "UOM", "Error", $exception);  
        }
        return response()->json($responseBody);
    }

    // Get Updateble data of UOM 
    function GetUpdateUom($id) {
        try{ $res = DB::table('st_uom')->select('uom_id','uom')->where('uom_id', '=', $id)->get();
                 $responseBody = $this->responseBody(true, "UOM", "GOT", $res);
        } catch(\Exception $exception) {
                 $responseBody = $this->responseBody(true, "UOM", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Get Updateble data of product type 
    function GetUpdateproductType($id) {
        try{ $res = DB::table('st_product_types')->select('product_type_id', 'product_type')->where('product_type_id', '=', $id)->get();
                $responseBody = $this->responseBody(true, "ProductType", "GOT", $res);
        }catch (\Exception $exception) {
                $responseBody = $this->responseBody(false, "ProductType", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Get Updateble data of group level 3 
    function GetUpdateLevel3($id) {
        try{ $res = DB::table('st_group_level_3')->join('st_group_level_2', 'st_group_level_3.grp_lvl_2_for_id', '=', 'st_group_level_2.group_level_2_id')->select('st_group_level_3.*', 'st_group_level_2.group_level_2')->where('st_group_level_3.group_level_3_id', '=', $id)->get();
               $responseBody = $this->responseBody(true, "GroupLevel3", "GOT", $res);
        } catch(\Exception $exception) {
               $responseBody = $this->responseBody(false, "GroupLevel3", "Error", $exception);
        }
        return response()->json($responseBody);
        
    }

    // Get Updatele data of group level 2 
    function GetUpdateLevel2($id) {
       try { $res = DB::table('st_group_level_2')->join('st_group_level_1', 'st_group_level_2.grp_lvl_1_for_id', '=', 'st_group_level_1.group_level_1_id')->select('st_group_level_2.*','st_group_level_1.*')->where('st_group_level_2.group_level_2_id', '=', $id)->get();
           $responseBody = $this->responseBody(true, "Level2", "Selected", $res);
        } catch (\Exception $exception) {
           $responseBody = $this->responseBody(false, "Level2", "Error", $exception);
        }
          return response()->json(["data" => $responseBody]);
    }

    // Get Updateble data of group level 1 
    function GetUpdateLevel1($id) {
        try{ $res = DB::table('st_group_level_1')->select('group_level_1_id', 'group_level_1')->where('group_level_1_id', '=', $id)->get();
                 $responseBody = $this->responseBody(true, "GroupLevel1", "GOT", $res);
        } catch(\Exception $exception) {
                 $responseBody = $this->responseBody(false, "GroupLevel1", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Updating part of UOM 
    function UpdateUOM(Request $request,$id) {
        try{ $uom = $request->get('uomUpdateInput');
              $object = Uom::find($id);
              $object->uom = $uom;
              $uom_update = $object->save();
              $responseBody = $this->responseBody(true, "UOM", "Updated", $uom_update);
        } catch(\Exception $exception) {
              $responseBody = $this->responseBody(false, "UOM", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Updating part of product Type 
    function UpdateProductType(Request $request, $id) {
        try{ $product_type = $request->get('productTypeUpdateInput');
                $object = ProductType::find($id);
                $object->product_type = $product_type;
                $producttype_update = $object->save();
                $responseBody = $this->responseBody(true, "ProductType", "Updated", $producttype_update);
        } catch(\Exception $exception) {
                $responseBody = $this->responseBody(false, "ProductType", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Updating part of group level 1 
    function UpdateLevel1(Request $request,$id) {
        try{ $level_1 = $request->get('grplevel1Updatename');
                $object = GroupLevel1::find($id);
                $object->group_level_1 = $level_1;
                $level1_update = $object->save();
                $responseBody = $this->responseBody(true, "GroupLevel1", "Updated", $level1_update);
        } catch (\Exception $exception) {
                $responseBody = $this->responseBody(false, "GroupLevel1", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Updating part of group level 2
    function UpdateLevel2(Request $request,$id) {
        try { $level_1 = $request->get('grpLevel2UpdateDropDown');
         $level_2 = $request->get('grplevel2Updatename');
 
         $object = GroupLevel2::find($id);
         $object->grp_lvl_1_for_id = $level_1;
         $object->group_level_2 = $level_2;
         $level2_update = $object->save();
 
             if ($level2_update) {
             $responseBody = $this->responseBody(true, "Level2", "GroupLevel1", "");
             }
         } catch (\Exception $exception){
             $responseBody = $this->responseBody(false, "Level2", "Error", $exception);
         }
          return response()->json(["data" => $responseBody]);
     }

    //  Updating part of group level 3
    function UpdateLevel3(Request $request, $id) {
        try{    $level_2 = $request->get('grpLevel3UpdateDropDown');
                $level_3 = $request->get('grplevel3Updatename');
                $object = GroupLevel3::find($id);
                $object->grp_lvl_2_for_id = $level_2;
                $object->group_level_3 = $level_3;
                $level3_update = $object->save();
                $responseBody = $this->responseBody(true, "GroupLevel3", "Updated", $level3_update);
        } catch (\Exception $exception) {
                $responseBody = $this->responseBody(false, "GroupLevel3", "Error", $exception);    
        }
        return response()->json($responseBody);
    }

    // Disable UOM 
    function DisableUom(Request $request, $id){
        try{ $value = $request->get('status');
                $object = Uom::find($id);
                $object->status = $value; 
                $disable = $object->save();
                $res = $object->status;
                $responseBody = $this->responseBody(true, "UOM", "Disabled", $res);
        } catch(\Exception $exception) {
                $responseBody = $this->responseBody(false, "UOM", "Error", $exception);
        }
        return response()->json($responseBody);

    }

    // Disable Product Type 
    function DisableProductType(Request $request, $id){
        try{ $value = $request->get('status');
             $object = ProductType::find($id);
             $object->status = $value;
             $disable = $object->save();
             $res = $object->status;
             $responseBody = $this->responseBody(true, "ProductType", "Disabled", $res);
        } catch(\Exception $exception) {
             $responseBody = $this->responseBody(false, "ProductType", "Error", $exception);
        }
        return response()->json($responseBody);

    }

    // Disable Group Level 1
    function DisableLevel1(Request $request, $id) {
        try{ $value = $request->get('status');
             $object = GroupLevel1::find($id);
             $object->status = $value;
             $disable = $object->save();
             $res = $object->status;
             $responseBody = $this->responseBody(true, "GroupLevel1", "DFisabled", $res);
        } catch(\Exception $exception) {
             $responseBody = $this->responseBody(false, "GroupLevel1", "Error", $res);
        } 
        return response()->json($responseBody);
    }

    // Disable Group Level 2 
    function DisableLevel2(Request $request, $id){
        try{ $value = $request->get('status');
             $object = GroupLevel2::find($id);
             $object->status = $value;
             $disable = $object->save();
             $res = $object->status;
             $responseBody = $this->responseBody(true, "GroupLevel2", "Disabled", $res);
        } catch(\Exception $exception) {
            $responseBody = $this->responseBody(false, "GroupLevel2", "Error", $exception);
        }
        return response()->json($responseBody);
    }

    // Disable Group Level 3 
    function DisableLevel3(Request $request, $id) {
        try{ $value = $request->get('status');
             $object = GroupLevel3::find($id);
             $object->status = $value;
             $disable = $object->save();
             $res = $object->status;
             $responseBody = $this->responseBody(true, "GroupLevel3", "Disabled", $res);
        } catch(\Exception $exception) {
            $responseBody = $this->responseBody(true, "GroupLevel3", "Disabled", $exception);
        }  
        return response()->json($responseBody);
    }

    // Load group level 1 data to level 2 insert modal
    public function GetLevel1Data(){
        try{ $datalevel1 = GroupLevel1::all();
            $responseBody = $this->responseBody(true, "GroupLevel1", "Taken", $datalevel1);
        } catch(\Exception $exception) {
            $responseBody = $this->responseBody(true, "GroupLevel1", "Error", $exception);   
        } 
        return response()->json($responseBody);
    }

    function Belowdatalevel1($id){
        try{ $belowdata1 = DB::table('st_group_level_2')->select('group_level_2_id','group_level_2')->where('grp_lvl_1_for_id', '=', $id)->get();
             $responseBody = $this->responseBody(true, "GroupLevel1", "Taken", $belowdata1);
        } catch(\Exception $exception) {
            $responseBody = $this->responseBody(false, "GroupLevel1", "Error", $exception);
        }
         return response()->json($responseBody);
     }

    // ResponseBody Function 
    function responseBody($success, $name, $message, $result) {
        $body = [
            "success" => $success,
            "name" => $name,
            "message" => $message,
            "result" => $result
        ];
        return $body;
    }
}
