@extends('st::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
@endsection

@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">User Role</h6>
                <div class="row">
                    <div class="col-md-12 mb-3">
                        <button class="btn btn-primary" onclick="showUserRollModal()">Add User Role</button>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mb-3">
                        <table id="tblUserRole" class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>User Role</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                            </thead>
                            <tbody id="tblUserRoleBody"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>



        <div class="card">
            <div class="card-body">
                <h6 class="card-title"></h6>
                <div class="row">
                    <div class="col-md-12">
                        <ul class="nav nav-pills mb-3" role="tablist" id="navMenuItem">
                            <li class="nav-item">
                                <a class="nav-link active" id="pills-general-tab" data-toggle="pill" href="#tbGeneral" role="tab" aria-controls="pills-general" aria-selected="true">Module</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#tbContactInfo" role="tab" aria-controls="pills-contact" aria-selected="false">Permission</a>
                            </li>
                        </ul>
                        <div class="tab-content">

                            <div class="tab-pane fade show active" id="tbGeneral" role="tabpanel" aria-labelledby="pills-general-tab">
                                <div class="row">
                                    <div class="col-md-12 seperator">
                                        <div class="card bg-primary">
                                            <div class="card-header">Module</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="table-responsive">
                                            <!-- Required for Responsive -->
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th>Module Name</th>
                                                        <th width="30">Allow</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="tblModule">

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane fade" id="tbContactInfo" role="tabpanel" aria-labelledby="pills-contact-tab">
                                <div class="row">
                                    <div class="col-md-12 seperator">
                                        <div class="card bg-primary">
                                            <div class="card-header">Permission</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 mb-3">
                                        <label>Module</label>
                                        <select class="form-control" id="cmbModule" name="module"></select>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Permission</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblPermission"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



    </div>



    <!-- User Roll Modal!-->
    <div class="modal fade" id="userRoleModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="userRoleModalTitle">Create New User Role</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <form method="POST" id="userRoleForm">
                    <div class="modal-body">
                        {{csrf_field()}}
                        <div class="row">
                            <div class="col-md-12">
                                <label>User Role</label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <input type="text" class="form-control" id="txtUserRole" name="userRole">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                        </button>
                        <button type="button" class="btn btn-primary" id="btnUserRoleAction" name="userRoleAction">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>



</div>

@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<!-- App scripts -->
<script src="{{ Module::asset('st:js/settings.js') }}"></script>

<!-- Sweet alert -->
<script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
@endsection