@extends('st::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<link href="{{ asset('assets/css/hr/settings.css') }}" media="all" rel="stylesheet" type="text/css" />


@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Form Page</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card ">
            <div class="card-body">
                <h6 class="card-title">Settings</h6>
                <div class="accordion" id="accordionExample">
                    <div class="col-md-12 mb-3">
                        <div class="card ">
                            <div class="card-header" id="headingTown">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" id="settingsModal" data-toggle="collapse" data-target="#collapseCountry" aria-expanded="false" aria-controls="collapseTown" onclick="GetSettings('country')">
                                        <i class="ti-settings mr-2"></i> Country
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseCountry" class="collapse" aria-labelledby="headingTown" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','country')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblcountry"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-header" id="headingCivilStatus">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseDistrict" aria-expanded="false" aria-controls="collapseCivilStatus" onclick="GetSettings('district')">
                                        <i class="ti-settings mr-2"></i> District
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseDistrict" class="collapse" aria-labelledby="headingCivilStatus" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','district')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tbldistrict"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-header" id="headingDesignation">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseTown" aria-expanded="false" aria-controls="collapseDesignation" onclick="GetSettings('town')">
                                        <i class="ti-settings mr-2"></i> Town
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseTown" class="collapse" aria-labelledby="headingDesignation" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','town')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th style="display:none;">Foreign ID</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tbltown"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    {{-- commented by nipuna --}}
                    {{-- <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-header" id="headingDesignation">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseSupplierType" aria-expanded="false" aria-controls="collapseDesignation" onclick="GetSettings('supplierType')">
                                        <i class="ti-settings mr-2"></i> Supplier Type
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseSupplierType" class="collapse" aria-labelledby="headingDesignation" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','supplierType')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblsupplierType"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> --}}

                    <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-header" id="headingDesignation">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseSupplierStatus" aria-expanded="false" aria-controls="collapseDesignation" onclick="GetSettings('supplierStatus')">
                                        <i class="ti-settings mr-2"></i> Supplier Status
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseSupplierStatus" class="collapse" aria-labelledby="headingDesignation" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','supplierStatus')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblsupplierStatus"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-header" id="headingDesignation">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseBank" aria-expanded="false" aria-controls="collapseDesignation" onclick="GetSettings('bank')">
                                        <i class="ti-settings mr-2"></i> Bank
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseBank" class="collapse" aria-labelledby="headingDesignation" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','bank')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblbank"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-header" id="headingDesignation">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseBankBranch" aria-expanded="false" aria-controls="collapseDesignation" onclick="GetSettings('bankBranch')">
                                        <i class="ti-settings mr-2"></i> Bank Branch
                                    </button>
                                </h5>
                            </div>
                            <div id="collapseBankBranch" class="collapse" aria-labelledby="headingDesignation" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div>
                                        <button type="button" class="btn btn-primary" data-target="#settingsAddModal" data-whatever="@getbootstrap" name="save" onclick="showModal('save','bankBranch')">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </button>
                                    </div>
                                    <div class="table-responsive">
                                        <!-- Required for Responsive -->
                                        <table class="table table-striped table-responsive-stack">
                                            <thead>
                                                <tr>
                                                    <th class="id">ID#</th>
                                                    <th>Name</th>
                                                    <th class="edit">Edit</th>
                                                    <th class="disable">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblbankBranch"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="settingsAddModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="settingsAddModalTitle">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <form method="POST" id="myForm">
                    {{csrf_field()}}
                    <input type="hidden" id="settingID" name="settingID" value>
                    <div class="modal-body" id="settingsAddModalBody">
                        <div class="form-row">
                            <div class="col-md-12 mb-3" id="divSection">
                                <label for="txtName" id="lblDistrict">District</label>
                                <select class="form-control" id="selectDistrict" name="selectDistrict"></select>
                            </div>
                            <div class="col-md-12 mb-3">
                                <label for="txtName">Name</label>
                                <input type="text" class="form-control" id="txtSettingName" name="txtSettingName" placeholder="Name" required="">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                        </button>
                        <button type="button" class="btn btn-primary" id="btnSetting">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- App scripts -->
<!-- <script src="{{ url('assets/js/hr/settings.js') }}"></script> -->
<!-- <script src="{{ url('assets/js/gn/settings.js') }}"></script> -->
<script src="{{ Module::asset('st:js/supplierSettings.js') }}"></script>


<!-- Sweet alert -->
<script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
@endsection
